```
title = "Jak generovat gerber"
perex = "Zde najdete stručný návod jak postupovat při vygenerování výrobních dat pro plošný spoj z programu Eagle ve standardním formátu Gerber 274X."
tags = ["Článek", "Bastlení", "Eagle", "Gerber"]
lang = "cpp"
image= "lead.jpg"
```
Zde najdete stručný návod jak postupovat při vygenerování výrobních dat pro plošný spoj z programu Eagle ve standardním formátu [Gerber-274X](https://en.wikipedia.org/wiki/Gerber_format). Článek je především určen pro členy radioklubu jako návod, jak správně doplnit projekty o výrobní podklady, ale může být použit zcela univerzálně.

## Postup

# Nastavení cest a stažení CAM Jobs

V programu Eagle se generují gerber data pomocí tzv. CAM jobs. 
Do nastavení umístění složek se dostanete z hlavního ovládacího panelu

![Eagle control-panel](gerber-000.png)

Options -> Directories...
***
![Eagle directories](gerber-001.png)

Do této složky s CAM si nakopírujte tyto soubory:

[_gerb274x_2layer_2print_excellon.cam](_gerb274x_2layer_2print_excellon.cam) - 2vrstvá DPS

[_gerb274x_4layer_2print_excellon.cam](_gerb274x_4layer_2print_excellon.cam) - 4vrstvá DPS

Tyto CAM Joby vygenerují vrstvy mědi, masek, potisku i vrtání.




# Generujeme data

Ještě před vlastním generováním dat je potřeba vytvořit ve složce _EXPORT (na síťovém serveru S:\EAGLE\_EXPORT\) složku s názvem desky. Například pokud se deska jmenuje "LPS_Supply_board_v1.0.brd" pojmenujte složku "LPS_Supply_board_v1.0". Do této složky se data vygenerují. Pokud nemáte Eagle připojen přes síťový server S:, lze cestu generování souborů nastavit kamkoli jinam ve vašem počítači.

Otevřeme desku plošných spojů, pro kterou chceme vygenerovat gata.

![Eagle CAM Processor](gerber-002.png)

File -> CAM Processor...



***
Vybereme CAM Job

![Eagle CAM Job](gerber-003.png)

File -> Open -> Job...

***
Vybereme náš CAM Job
(například _gerb274x_4layer_2print_excellon.cam pro čtyř vrstvou desku)

![Eagle CAM Job1](gerber-004.png)

Pro kontrolu můžete projít jednotlivé záložky, které vrstvy se generují samostatných souborů:

Po vygenerování jsou důležité tyto soubory:

    top.gbr   vrstva TOP
    bot.gbr   vrstva BOT
    smt.gbr   vrstva masky TOP
    smb.gbr   vrstva masky BOT
    plt.gbr   vrstva potisku TOP
    plb.gbr   vrstva potisku BOT
    in2.gbr   vnitřní vrstva 2
    in3.gbr   vnitřní vrstva 3
    out.gbr   vrstva obrysu DPS
    pth.exc   vrstva prokovené vrtání ve formátu Excellon
    npth.exc  vrstva neprokovené vrtání ve formátu Excellon
    pth.dri   info soubor o vrtání

***    
k těmto souborům vytvoříme info.txt, do kteréh napíšeme informace důležité pro výrobu plošného spoje. Následuje příklad.

    Board name: LPS_Supply_board_v1.0
    Board size: 75 x 75 mm
    Base material: FR4=1.5mm
    Panel: -
    Surface: HAL lead free
    Layers: 2 layers Cu=18um
    Mask: TOP+BOT Green
    Print: White print TOP
    Formatting: Milled

Složku s exportem dáme do jednoho komprimovaného souboru název-desky.zip, například LPS_Supply_board_v1.0.zip a uložíme do projektu.

# Kontrola vygenerovaných dat

Zde je online gerber 3D viewer [mayhewlabs.com](http://mayhewlabs.com/webGerber/)
nebo si můžete pro kontrolu stáhnout třeba tento užitečný SW: [gerbv](http://gerbv.sourceforge.net/)   

# Dejte nám vědět!

Napište nám na naše [fórum](http://forum.ok1kvk.cz/).
